#! ./testsuite
# testsuite for runcap - run program and capture its output
# Copyright (C) 2017 Sergey Poznyakoff
#
# Runcap is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 3 of the License, or (at your
# option) any later version.
#
# Runcap is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with Runcap. If not, see <http://www.gnu.org/licenses/>.

TC_TITLE read lines

TC_EXPECT out <<EOT
res=0
exit code: 0
stdout: 71 lines, 4051 bytes
stderr: 0 lines, 0 bytes
stdout listing:
  1: CHAPTER I. Down the Rabbit-Hole
  2: 
  3: Alice was beginning to get very tired of sitting by her sister on the
  4: bank, and of having nothing to do: once or twice she had peeped into the
  5: book her sister was reading, but it had no pictures or conversations
  6: in it, 'and what is the use of a book,' thought Alice 'without
  7: pictures or conversations?'
  8: 
  9: So she was considering in her own mind (as well as she could, for the
 10: hot day made her feel very sleepy and stupid), whether the pleasure of
 11: making a daisy-chain would be worth the trouble of getting up and picking
 12: the daisies, when suddenly a White Rabbit with pink eyes ran close by her.
 13: 
 14: There was nothing so very remarkable in that; nor did Alice think it
 15: so very much out of the way to hear the Rabbit say to itself, 'Oh
 16: dear! Oh dear! I shall be late!' (when she thought it over afterwards,
 17: it occurred to her that she ought to have wondered at this, but at the
 18: time it all seemed quite natural); but when the Rabbit actually took a
 19: watch out of its waistcoat-pocket, and looked at it, and then hurried on,
 20: Alice started to her feet, for it flashed across her mind that she had
 21: never before seen a rabbit with either a waistcoat-pocket, or a watch
 22: to take out of it, and burning with curiosity, she ran across the field
 23: after it, and fortunately was just in time to see it pop down a large
 24: rabbit-hole under the hedge.
 25: 
 26: In another moment down went Alice after it, never once considering how
 27: in the world she was to get out again.
 28: 
 29: The rabbit-hole went straight on like a tunnel for some way, and then
 30: dipped suddenly down, so suddenly that Alice had not a moment to think
 31: about stopping herself before she found herself falling down a very
 32: deep well.
 33: 
 34: Either the well was very deep, or she fell very slowly, for she had plenty
 35: of time as she went down to look about her and to wonder what was going
 36: to happen next. First, she tried to look down and make out what she was
 37: coming to, but it was too dark to see anything; then she looked at the
 38: sides of the well, and noticed that they were filled with cupboards
 39: and book-shelves; here and there she saw maps and pictures hung upon
 40: pegs. She took down a jar from one of the shelves as she passed; it was
 41: labelled 'ORANGE MARMALADE', but to her great disappointment it was
 42: empty: she did not like to drop the jar for fear of killing somebody,
 43: so managed to put it into one of the cupboards as she fell past it.
 44: 
 45: 'Well!' thought Alice to herself, 'after such a fall as this,
 46: I shall think nothing of tumbling down stairs! How brave they'll all
 47: think me at home! Why, I wouldn't say anything about it, even if I
 48: fell off the top of the house!' (Which was very likely true.)
 49: 
 50: Down, down, down. Would the fall never come to an end! 'I wonder how
 51: many miles I've fallen by this time?' she said aloud. 'I must be
 52: getting somewhere near the centre of the earth. Let me see: that would be
 53: four thousand miles down, I think--' (for, you see, Alice had learnt
 54: several things of this sort in her lessons in the schoolroom, and though
 55: this was not a very good opportunity for showing off her knowledge,
 56: as there was no one to listen to her, still it was good practice to
 57: say it over) '--yes, that's about the right distance--but then I
 58: wonder what Latitude or Longitude I've got to?' (Alice had no idea
 59: what Latitude was, or Longitude either, but thought they were nice grand
 60: words to say.)
 61: 
 62: Presently she began again. 'I wonder if I shall fall right through
 63: the earth! How funny it'll seem to come out among the people that
 64: walk with their heads downward! The Antipathies, I think--' (she was
 65: rather glad there was no one listening, this time, as it didn't sound
 66: at all the right word) '--but I shall have to ask them what the name
 67: of the country is, you know. Please, Ma'am, is this New Zealand or
 68: Australia?' (and she tried to curtsey as she spoke--fancy curtseying
 69: as you're falling through the air! Do you think you could manage
 70: it?) 'And what an ignorant little girl she'll think me for asking! No,
 71: it'll never do to ask: perhaps I shall see it written up somewhere.'
stdout listing ends
EOT

rt -n stdout -- genout $testdir/INPUT

